WRITE(1)

NAMN
write - skicka ett meddelande till en annan användare

SYNOPSIS

write användare [ttyname]

BESKRIVNING

write gör att du kan kommunicera med andra användare genom att kopiera rader från din terminal till deras.

När du kör kommandot write får den användare du skriver till ett meddelande av följande typ:

    Meddelande från yourname@yourhost på yourtty kl. hh:mm ...

Eventuella ytterligare rader som du skriver in kopieras till den angivna användarens terminal. Om den andra användaren vill svara måste han eller hon också köra write.

När du är klar skriver du ett tecken för slutet av filen eller ett avbrottstecken. Den andra användaren kommer att se meddelandet EOF som indikerar att konversationen är över.

Du kan hindra andra (än superanvändaren) från att skriva till dig med kommandot mesg(1). Vissa kommandon, t.ex. nroff(1) och pr(1), kan automatiskt förhindra skrivning, så att de utdata de producerar inte skrivs över.

Om den användare som du vill skriva till är inloggad på mer än en terminal kan du ange vilken terminal som ska skrivas till genom att ange terminalnamnet som andra operand i kommandot write. Alternativt kan du låta write välja en av terminalerna - den väljer då den terminal som har kortast inaktivitetstid. Detta för att meddelandet ska gå till rätt ställe om användaren är inloggad på jobbet och samtidigt ringer upp hemifrån.

Det traditionella protokollet för att skriva till någon är att strängen -o, antingen i slutet av en rad eller på en rad för sig själv, betyder att det är den andra personens tur att prata. Strängen oo betyder att personen anser att konversationen är över.

FLAGGOR

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

HISTORIK

Ett write-kommando dök upp i version 5 av AT&T UNIX (juni 1974).

SE ÄVEN

mesg(1), talk(1), who(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot write ingår i paketet util-linux som kan hämtas från